{-# LANGUAGE
    UnboxedTuples
  , UnicodeSyntax
  #-}
module Main where
import Codec.Audio.WavPack.Block
import qualified Data.ByteString.Lazy as L
import qualified Data.Strict as S
import System.Environment
import System.IO

main ∷ IO ()
main = do [wvFile] ← getArgs
          wvStream ← L.readFile wvFile
          hSetBuffering stdout NoBuffering
          showWvInfo wvStream

showWvInfo ∷ L.ByteString → IO ()
showWvInfo stream
    = case findNextBlock stream of
        (# S.Just block, _ #)
            → print block
        (# S.Nothing   , _ #)
            → fail "Can't find any WavPack block headers."
